/*
 * Copyright 2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Header:$
 */
package org.apache.beehive.netui.pageflow.config;

import org.apache.struts.config.FormBeanConfig;
import org.apache.struts.action.ActionFormBean;


/**
 * Class to handle our extensions to the Struts &lt;form-bean&gt; element.
 */
public class PageFlowActionFormBean extends ActionFormBean
{
    private String _actualType;  // applicable for non-ActionForm-derived form types


    public String getActualType()
    {
        return _actualType;
    }

    public void setActualType( String actualType )
    {
        _actualType = actualType;
    }
}
