package org.apache.beehive.netui.tags.tree;

import org.apache.beehive.netui.tags.rendering.AbstractHtmlState;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.jsp.JspException;

class TagTreeRenderer extends TreeRenderer
{
    private Tree _tree;

    TagTreeRenderer(Tree tree, TreeRenderState trs, HttpServletRequest request,
                    HttpServletResponse response, ServletContext servletContext)
    {
        super(trs, request, response, servletContext);
        _tree = tree;
    }

    protected void registerTagError(String message, Throwable e)
            throws JspException
    {
        _tree.registerTagError(message, e);
    }

    protected String renderTagId(HttpServletRequest request, String tagId, AbstractHtmlState state)
    {
        return _tree.renderTagId(request, tagId, state);
    }

}
